org.apache.ignite.internal.processors.query

## Interface GridQueryIndexDescriptor

All Known Implementing Classes:
  QueryEntityIndexDescriptor, QueryIndexDescriptorImpl

    public interface GridQueryIndexDescriptor

Describes an index to be created for a certain type. It contains all necessary information about fields, order, uniqueness, and specified whether this is SQL or Text index. See also `GridQueryTypeDescriptor.indexes()`.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `descending(String field)` Specifies order of the index for each indexed field.
`Collection<String>` `fields()` Gets all fields to be indexed.
`int` `inlineSize()` Gets inline size for SORTED index.
`String` `name()`
`QueryIndexType` `type()` Gets index type.

### Method Detail

#### name

    String name()

Returns:
  Name.

#### fields

    Collection<String> fields()

Gets all fields to be indexed.

Returns:
  Fields to be indexed.

#### descending

    boolean descending(String field)

Specifies order of the index for each indexed field.

Parameters:
  `field` - Field name.
Returns:
  `True` if given field should be indexed in descending order.

#### type

    QueryIndexType type()

Gets index type.

Returns:
  Type.

#### inlineSize

    int inlineSize()

Gets inline size for SORTED index.

Returns:
  Inline size.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020